libstdc++: std::_List_node< _Tp > Struct Template Reference

libstdc++

std::_List_node< _Tp > Struct Template Reference

`#include <stl_list.h>`

Inheritance diagram for std::_List_node< _Tp >:
[legend]

## Public Types
typedef _List_node_base * | _Base_ptr
typedef _List_node * | _Node_ptr

## Public Member Functions
_List_node_base * | _M_base ()
const _List_node_base * | _M_base () const
void | _M_hook (_List_node_base *const __position) noexcept
_Node_ptr | _M_node_ptr ()
void | _M_reverse () noexcept
void | _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void | _M_unhook () noexcept
_Tp * | _M_valptr ()
_Tp const * | _M_valptr () const

## Static Public Member Functions
static void | swap (_List_node_base &__x, _List_node_base &__y) noexcept

## Public Attributes
_List_node_base * | _M_next
_List_node_base * | _M_prev
__gnu_cxx::__aligned_membuf< _Tp > | _M_storage

## Detailed Description

template<typename _Tp>
struct std::_List_node< _Tp >

An actual node in the list.

Definition at line 551 of file stl_list.h.

## Member Typedef Documentation

## ◆ _Base_ptr

typedef _List_node_base* std::__detail::_List_node_base::_Base_ptr
| inherited

Definition at line 96 of file stl_list.h.

## ◆ _Node_ptr

template<typename _Tp>

typedef _List_node* std::_List_node< _Tp >::_Node_ptr

Definition at line 553 of file stl_list.h.

## Member Function Documentation

## ◆ _M_base() [1/2]

_List_node_base * std::__detail::_List_node_base::_M_base | ( |  | ) |
| inlineinherited

Definition at line 117 of file stl_list.h.

## ◆ _M_base() [2/2]

const _List_node_base * std::__detail::_List_node_base::_M_base | ( |  | ) | const
| inlineinherited

Definition at line 118 of file stl_list.h.

## ◆ _M_node_ptr()

template<typename _Tp>

_Node_ptr std::_List_node< _Tp >::_M_node_ptr | ( |  | ) |
| inline

Definition at line 565 of file stl_list.h.

## ◆ _M_valptr() [1/2]

template<typename _Tp>

_Tp * std::_List_node< _Tp >::_M_valptr | ( |  | ) |
| inline

Definition at line 557 of file stl_list.h.

## ◆ _M_valptr() [2/2]

template<typename _Tp>

_Tp const * std::_List_node< _Tp >::_M_valptr | ( |  | ) | const
| inline

Definition at line 558 of file stl_list.h.

## Member Data Documentation

## ◆ _M_next

_List_node_base* std::__detail::_List_node_base::_M_next
| inherited

Definition at line 98 of file stl_list.h.

## ◆ _M_prev

_List_node_base* std::__detail::_List_node_base::_M_prev
| inherited

Definition at line 99 of file stl_list.h.

## ◆ _M_storage

template<typename _Tp>

__gnu_cxx::__aligned_membuf<_Tp> std::_List_node< _Tp >::_M_storage

Definition at line 556 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h